[Fusionforge-commits] r8134 - in trunk/gforge: debian etc/httpd.d utils

Roland Mas lolando at libremir.placard.fr.eu.org
Mon Sep 21 22:17:54 CEST 2009


Author: lolando
Date: 2009-09-21 22:17:54 +0200 (Mon, 21 Sep 2009)
New Revision: 8134

Added:
   trunk/gforge/debian/gforge-plugin-scmbzr.init.d
Removed:
   trunk/gforge/debian/gforge-plugin-scmbzr.init
Modified:
   trunk/gforge/etc/httpd.d/06maindirhttp
   trunk/gforge/etc/httpd.d/07maindirhttp.ssl
   trunk/gforge/utils/install-apache.sh
Log:
Fixed Apache config for Loggerhead

Deleted: trunk/gforge/debian/gforge-plugin-scmbzr.init
===================================================================
--- trunk/gforge/debian/gforge-plugin-scmbzr.init	2009-09-21 20:17:45 UTC (rev 8133)
+++ trunk/gforge/debian/gforge-plugin-scmbzr.init	2009-09-21 20:17:54 UTC (rev 8134)
@@ -1,66 +0,0 @@
-#! /bin/sh
-### BEGIN INIT INFO
-# Provides:          gforge-plugin-scmbzr
-# Required-Start:    $local_fs $remote_fs $network
-# Required-Stop:     $local_fs $remote_fs $network
-# Default-Start:     2 3 4 5
-# Default-Stop:      1
-### END INIT INFO
-#
-# Init script for gforge-plugin-scmbzr Debian package.
-# Based on the script provided by loggerhead.
-
-PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
-DESC="Loggerhead Bazaar Branch Browser for FusionForge"
-NAME=gforge-plugin-scmbzr
-PIDFILE=/var/run/$NAME.pid
-SCRIPTNAME=/etc/init.d/$NAME
-
-# Gracefully exit if the package has been removed.
-[ -x /usr/bin/serve-branches ] || exit 0
-
-# Check if configuration file is present
-[ ! -f /etc/gforge/plugins/scmbzr/serve-branches.conf ] && exit 0
-
-. /etc/gforge/plugins/scmbzr/serve-branches.conf
-
-#
-#	Function that starts the daemon/service.
-#
-d_start() {
-    start-stop-daemon -p $PIDFILE -S --startas /usr/bin/serve-branches --chuid loggerhead --make-pidfile --background --chdir $served_branches -- --prefix=$prefix --port=$port --log-folder /var/log/loggerhead 2>/dev/null
-}
-
-#
-#	Function that stops the daemon/service.
-#
-d_stop() {
-	start-stop-daemon -p $PIDFILE -K
-}
-
-
-case "$1" in
-  start)
-	echo -n "Starting $DESC: $NAME"
-	d_start
-	echo "."
-	;;
-  stop)
-	echo -n "Stopping $DESC: $NAME"
-	d_stop
-	echo "."
-	;;
-  restart|force-reload)
-	echo -n "Restarting $DESC: $NAME"
-	d_stop
-	sleep 1
-	d_start
-	echo "."
-	;;
-  *)
-	echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
-	exit 1
-	;;
-esac
-
-exit 0

Copied: trunk/gforge/debian/gforge-plugin-scmbzr.init.d (from rev 8133, trunk/gforge/debian/gforge-plugin-scmbzr.init)
===================================================================
--- trunk/gforge/debian/gforge-plugin-scmbzr.init.d	                        (rev 0)
+++ trunk/gforge/debian/gforge-plugin-scmbzr.init.d	2009-09-21 20:17:54 UTC (rev 8134)
@@ -0,0 +1,66 @@
+#! /bin/sh
+### BEGIN INIT INFO
+# Provides:          gforge-plugin-scmbzr
+# Required-Start:    $local_fs $remote_fs $network
+# Required-Stop:     $local_fs $remote_fs $network
+# Default-Start:     2 3 4 5
+# Default-Stop:      1
+### END INIT INFO
+#
+# Init script for gforge-plugin-scmbzr Debian package.
+# Based on the script provided by loggerhead.
+
+PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
+DESC="Loggerhead Bazaar Branch Browser for FusionForge"
+NAME=gforge-plugin-scmbzr
+PIDFILE=/var/run/$NAME.pid
+SCRIPTNAME=/etc/init.d/$NAME
+
+# Gracefully exit if the package has been removed.
+[ -x /usr/bin/serve-branches ] || exit 0
+
+# Check if configuration file is present
+[ ! -f /etc/gforge/plugins/scmbzr/serve-branches.conf ] && exit 0
+
+. /etc/gforge/plugins/scmbzr/serve-branches.conf
+
+#
+#	Function that starts the daemon/service.
+#
+d_start() {
+    start-stop-daemon -p $PIDFILE -S --startas /usr/bin/serve-branches --chuid loggerhead --make-pidfile --background --chdir $served_branches -- --prefix=$prefix --port=$port --log-folder /var/log/loggerhead 2>/dev/null
+}
+
+#
+#	Function that stops the daemon/service.
+#
+d_stop() {
+	start-stop-daemon -p $PIDFILE -K
+}
+
+
+case "$1" in
+  start)
+	echo -n "Starting $DESC: $NAME"
+	d_start
+	echo "."
+	;;
+  stop)
+	echo -n "Stopping $DESC: $NAME"
+	d_stop
+	echo "."
+	;;
+  restart|force-reload)
+	echo -n "Restarting $DESC: $NAME"
+	d_stop
+	sleep 1
+	d_start
+	echo "."
+	;;
+  *)
+	echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
+	exit 1
+	;;
+esac
+
+exit 0

Modified: trunk/gforge/etc/httpd.d/06maindirhttp
===================================================================
--- trunk/gforge/etc/httpd.d/06maindirhttp	2009-09-21 20:17:45 UTC (rev 8133)
+++ trunk/gforge/etc/httpd.d/06maindirhttp	2009-09-21 20:17:54 UTC (rev 8134)
@@ -73,6 +73,11 @@
             Options +Indexes
         </DirectoryMatch>
 
+	<Location /scm/loggerhead/>
+	    ProxyPass http://127.0.0.1:8081/
+	    ProxyPassReverse http://127.0.0.1:8081/
+	</Location>
+
         RewriteEngine on
         RewriteCond %{REQUEST_METHOD} ^(TRACE|TRACK)
         RewriteRule .* - [F]

Modified: trunk/gforge/etc/httpd.d/07maindirhttp.ssl
===================================================================
--- trunk/gforge/etc/httpd.d/07maindirhttp.ssl	2009-09-21 20:17:45 UTC (rev 8133)
+++ trunk/gforge/etc/httpd.d/07maindirhttp.ssl	2009-09-21 20:17:54 UTC (rev 8134)
@@ -75,6 +75,11 @@
             Options +Indexes
         </DirectoryMatch>
 
+	<Location /scm/loggerhead/>
+	    ProxyPass http://127.0.0.1:8081/
+	    ProxyPassReverse http://127.0.0.1:8081/
+	</Location>
+
         RewriteEngine on
         RewriteCond %{REQUEST_METHOD} ^(TRACE|TRACK)
         RewriteRule .* - [F]

Modified: trunk/gforge/utils/install-apache.sh
===================================================================
--- trunk/gforge/utils/install-apache.sh	2009-09-21 20:17:45 UTC (rev 8133)
+++ trunk/gforge/utils/install-apache.sh	2009-09-21 20:17:54 UTC (rev 8134)
@@ -189,10 +189,11 @@
 				DEBIAN_FRONTEND=noninteractive /usr/sbin/a2enmod php5 || true
 				DEBIAN_FRONTEND=noninteractive /usr/sbin/a2enmod ssl || true
 				DEBIAN_FRONTEND=noninteractive /usr/sbin/a2enmod suexec || true
-				#not enabling env module, part of base in apache2
 				DEBIAN_FRONTEND=noninteractive /usr/sbin/a2enmod vhost_alias || true
 				DEBIAN_FRONTEND=noninteractive /usr/sbin/a2enmod headers || true
 				DEBIAN_FRONTEND=noninteractive /usr/sbin/a2enmod rewrite || true
+				DEBIAN_FRONTEND=noninteractive /usr/sbin/a2enmod proxy || true
+				DEBIAN_FRONTEND=noninteractive /usr/sbin/a2enmod proxy_http || true
 
 				LINK=`ls -l /etc/$flavour/conf.d/gforge.httpd.conf | sed 's/.*-> \(.*\)$/\1/'`
 				if [ "$LINK" != "$GFORGE_ETC_LIST" ] ; then 




More information about the Fusionforge-commits mailing list